#!/bin/bash
if [ -x /srv/pandora ]; then
    sudo -H -u pandora /srv/pandora/update.py dev
else
    export DEBIAN_FRONTEND=noninteractive
    groupadd -g 1001 pandora
    useradd -c 'pan.do/ra' -g pandora -m -u 1001 pandora
    echo "pandora:pandora" | chpasswd
    apt-get update -qq
    apt-get install -y curl >/dev/null 2>&1
    localectl set-locale LANG=C.UTF-8
    curl -sL https://pan.do/ra-install > /srv/pandora_install.sh
    chmod +x /srv/pandora_install.sh
    echo "Installing pan.do/ra..."
    echo "logging installation progress into pandora_install.log"
    /srv/pandora_install.sh >/srv/pandora_install.log 2>&1
    rm /srv/pandora_install.sh
fi
